<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Neo4J.Conversion.Verb</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Neo4J.Conversion.Verb.html#createNorNorkVerb"><span class="hs-identifier">createNorNorkVerb</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="BasicData.html"><span class="hs-identifier">BasicData</span></a></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Database.Bolt</span></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="EuskeraAppError.html"><span class="hs-identifier">EuskeraAppError</span></a></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.Verbal.html"><span class="hs-identifier">Features.Verbal</span></a></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Neo4J.Conversion.Utils.html"><span class="hs-identifier">Neo4J.Conversion.Utils</span></a></span><span>
</span><span id="line-9"></span><span>
</span><span id="line-10"></span><span class="annot"><a href="Neo4J.Conversion.Verb.html#createNorNorkVerb"><span class="hs-identifier hs-type">createNorNorkVerb</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Node</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Either</span></span><span> </span><span class="annot"><a href="EuskeraAppError.html#EuskeraAppError"><span class="hs-identifier hs-type">EuskeraAppError</span></a></span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-11"></span><span id="createNorNorkVerb"><span class="annot"><span class="annottext">createNorNorkVerb :: Node -&gt; Either EuskeraAppError Lexis
</span><a href="Neo4J.Conversion.Verb.html#createNorNorkVerb"><span class="hs-identifier hs-var hs-var">createNorNorkVerb</span></a></span></span><span> </span><span id="local-6989586621679082533"><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082533"><span class="hs-identifier hs-var">node</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Lexis -&gt; Either EuskeraAppError Lexis
forall a b. b -&gt; Either a b
</span><span class="hs-identifier hs-var">Right</span></span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Either EuskeraAppError Lexis)
-&gt; Lexis -&gt; Either EuskeraAppError Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">Verb -&gt; VF -&gt; Lexis
</span><a href="Lexis.html#V"><span class="hs-identifier hs-var">V</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">String -&gt; Verb
</span><a href="Lexis.Verb.html#NorNork"><span class="hs-identifier hs-var">NorNork</span></a></span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679082530"><span class="hs-identifier hs-var">root</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">VF
</span><a href="BasicData.html#baseVF"><span class="hs-identifier hs-var">baseVF</span></a></span><span>
</span><span id="line-12"></span><span>  </span><span class="hs-keyword">where</span><span>
</span><span id="line-13"></span><span>    </span><span id="local-6989586621679082530"><span class="annot"><span class="annottext">root :: String
</span><a href="#local-6989586621679082530"><span class="hs-identifier hs-var hs-var">root</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Node -&gt; String
</span><a href="Neo4J.Conversion.Utils.html#getRoot"><span class="hs-identifier hs-var">getRoot</span></a></span><span> </span><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082533"><span class="hs-identifier hs-var">node</span></a></span><span>
</span><span id="line-14"></span></pre></body></html>